%define         majornum    18
%define         srcname     lib%{name}
%define         libname     %mklibname %{name} %{majornum}
%define         develname   %mklibname %{name} -d

Name:           sodium
Version:        1.0.14
Release:        %mkrel 1
Summary:        A software library for encryption, decryption and more
License:        ISC License
Group:          Security

URL:            https://github.com/jedisct1/libsodium
Source0:        %{srcname}-%{version}.tar.gz

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  gawk


%description
Sodium is a new, easy-to-use software library for encryption,
decryption, signatures, password hashing and more. It is a portable,
cross-compilable, installable fork of NaCl, with a compatible API, and
an extended API to improve usability even further. Its goal is to
provide all of the core operations needed to build higher-level
cryptography tools.



%package -n %{libname}
License:        ISC License
Summary:        The sodium library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Sodium is a new, easy-to-use software library for encryption,
decryption, signatures, password hashing and more. It is a portable,
cross-compilable, installable fork of NaCl, with a compatible API, and
an extended API to improve usability even further. Its goal is to
provide all of the core operations needed to build higher-level
cryptography tools.


%package -n %{develname}
License:        ISC License
Summary:        Headers and development files for the sodium library
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
%{summary}.


%prep

%setup -q -n %{srcname}-%{version}

%build
%configure2_5x --enable-static=no

%install
%makeinstall

find %{buildroot}%{_libdir} -name *.la -delete
find %{buildroot}%{_libdir} -name *.a -delete

%files -n %{libname}
%doc AUTHORS README.markdown THANKS LICENSE
%{_libdir}/libsodium.so.%{majornum}*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libsodium.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/sodium.h
%{_includedir}/sodium



%changelog
* Fri May 18 2018 eatdirt <eatdirt> 1.0.14-1.mga6
  (not released yet)
+ Revision: 1230322
- Upgrade to version 1.0.14

* Mon Apr 03 2017 eatdirt <eatdirt> 1.0.12-1.mga6
+ Revision: 1095795
- Upgrade to version 1.0.12

* Mon Oct 10 2016 eatdirt <eatdirt> 1.0.11-1.mga6
+ Revision: 1059958
- Upgrading libsodium to 1.0.11

* Fri Feb 12 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 958901
- Mageia 6 Mass Rebuild

* Sat Dec 26 2015 ovitters <ovitters> 1.0.8-1.mga6
+ Revision: 915054
- bump major
- new version 1.0.8

* Tue Mar 31 2015 eatdirt <eatdirt> 1.0.2-1.mga6
+ Revision: 819481
- imported package sodium

